### Virtual Method

# Gio Drive get_identifier

#### Declaration

    char*
    get_identifier (
      GDrive* drive,
      const char* kind
    )

#### Description

Gets the identifier of the given kind for `drive`. The only identifier currently available is `G_DRIVE_IDENTIFIER_KIND_UNIX_DEVICE`.

#### Parameters

`kind`

  Type: `const char*`

  The kind of identifier to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly allocated string containing the requested identifier, or `NULL` if the `GDrive` doesn’t have this kind of identifier.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.